com.amazon.redshift.ssl

## Class MakeSSL

- java.lang.Object
- - com.amazon.redshift.util.ObjectFactory
  - - com.amazon.redshift.ssl.MakeSSL

    public class MakeSSL
    extends ObjectFactory

### Constructor Summary

Constructors
Constructor and Description
`MakeSSL()`

### Method Summary

Methods
`static void` `convert(RedshiftStream stream, Properties info)`

### Methods inherited from class com.amazon.redshift.util.ObjectFactory

`instantiate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MakeSSL

    public MakeSSL()

### Method Detail

#### convert

    public static void convert(RedshiftStream stream,
               Properties info)
                        throws RedshiftException,
                               IOException

Throws:
  `RedshiftException`
  `IOException`